# std::chrono::month::operator unsigned

From cppreference.com
< cpp‎ | chrono‎ | month

constexpr explicit operator unsigned() const noexcept; |  | (since C++20)

Returns the month value stored in *this.

### Return value

The month value stored in *this.

### Example

Run this code

    #include <chrono>
    #include <iostream>

    int main()
    {
        constexpr std::chrono::month m{6};
        constexpr unsigned p = static_cast<unsigned>(m);
        constexpr unsigned q = static_cast<unsigned>(std::chrono::September);
        std::cout << "The month is: " << p << '\n'
                  << "September is: " << q << '\n';
    }

Output:

    The month is: 6
    September is: 9

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month/operator_unsigned&oldid=157127"